package com.newriders.jxta.chapter10;

import java.util.EventObject;


/**
 * An object to encapsulate the event signaling the arrival of a 
 * new ExampleResponseMsg at the ExampleService.
 */
public class ExampleServiceEvent extends EventObject
{
    /**
     * The response object that triggered this event.
     */
    private ExampleResponseMsg response = null;


    /**
     * Creates a new event object from the given source and 
     * message object.
     *
     * @param   source the ExampleService source of the event.
     * @param   response the newly arrived ExampleResponseMsg message.
     */
    public ExampleServiceEvent(Object source, ExampleResponseMsg response)
    {
        super(source);
        this.response = response;
    }

    /**
     * Returns the response that triggered this event.
     *
     * @return  the newly arrived response message.
     */
    public ExampleResponseMsg getResponse()
    {
        return response;
    }
}