package net.jxta.impl.shell.bin.example4_1;

import java.io.StringWriter;

import net.jxta.document.StructuredTextDocument;
import net.jxta.document.MimeMediaType;

import net.jxta.discovery.DiscoveryService;

import net.jxta.impl.protocol.DiscoveryQuery;

import net.jxta.impl.shell.ShellApp;


/**
 * A Shell command to create and output a Discovery Query Message.
 */
public class example4_1 extends ShellApp
{
    /**
     * The implementation of the Shell command, invoked when the command 
     * is started by the user from the Shell.
     *
     * @param   args the command-line arguments passed to the command.
     * @return  a status code indicating the success or failure of 
     *     the command.
     */
    public int startApp(String[] args)
    {
        int result = appNoError;

        int type = DiscoveryService.PEER;
        String attribute = null;
        String value = null;
        int threshold = 0;
        String advertisementString = "This is my Peer Advertisement";

        // Construct a discovery query message.
        DiscoveryQuery query = 
            new DiscoveryQuery(type, advertisementString, attribute, 
                value, threshold);

        // Create an XML formatted string version of the discovery query.
        StringWriter buffer = new StringWriter();
        MimeMediaType mimeType = new MimeMediaType("text/xml");
        // MimeMediaType mimeType = new MimeMediaType("text/plain");
        try
        {
            StructuredTextDocument document = 
                (StructuredTextDocument) query.getDocument(mimeType);
            document.sendToWriter(buffer);
        }
        catch (Exception e)
        {
            e.printStackTrace();
        }

        // Print out the formatted message.
        println(buffer.toString());

        return result;
    }
}