package net.jxta.impl.shell.bin.helloworld;

import net.jxta.impl.shell.ShellApp;
import net.jxta.impl.shell.ShellEnv;
import net.jxta.impl.shell.ShellObject;

import net.jxta.peergroup.PeerGroup;


/**
 * A simple example command for the JXTA Shell.
 */
public class helloworld extends ShellApp
{
    /**
     * The shell environment.
     */
    private ShellEnv theEnvironment;


    /**
     * Invoked by the Shell to starts the command.
     *
     * @param   args a set of arguments passed to the command.
     * @return  a status code indicating the success or failure 
     *          of the command.
     */
    public int startApp(String[] args)
    {
        println("Starting command...");

        // Get the shell's environment.
        theEnvironment = getEnv();

        // Use the environment to obtain the current peer group.
        ShellObject theShellObject = theEnvironment.get("stdgroup");
        PeerGroup aPeerGroup = (PeerGroup) theShellObject.getObject();

        // Check to see if there were any command arguments.
        if ((args == null) || (args.length == 0))
        {
            // Print the peer name to the console.
            println("My peer name is " + aPeerGroup.getPeerName());
        }
        else
        {
            println("This command doesn't support arguments.");

            // Return the 'parameter error' status code.
            return ShellApp.appParamError;
        }

        // Return the 'no error' status code.
        return ShellApp.appNoError;
    }

    /**
     * Invoked by the Shell to stop the command.
     */
    public void stopApp()
    {
        // Do nothing.
    }
}